man(1)

NAME
myMPD - standalone and mobile friendly web mpd client

SYNOPSIS
mympd [options]

DESCRIPTION
myMPD is a standalone and lightweight web-based MPD client. It's tuned for minimal resource usage and requires only very few dependencies. Therefore myMPD is ideal for raspberry pis and similar devices. The backend is written in C and has no dependencies to external databases or webservers. The configuration is stored in plain text files and all the data is pulled on demand from MPD. The MPD database is the only source of truth for myMPD. The frontend is mobile friendly, written as a PWA and offers on all devices the same functionality. It communicates over AJAX and websockets using the json-rpc 2 protocol. myMPD also integrates extended features like an advanced jukebox mode, timers, triggers and smart playlists. With the integrated lua interpreter myMPD functions can also be scripted.

OPTIONS

-c, --config
    Creates config and ssl certificates and exits

-d, --dump
    Dumps default config and exits

-h, --help
    Print all valid options and exits

-v, --version
    Displays version information

-p, --pin
    Sets a pin for myMPD settings

-s, --syslog
    Enable syslog logging (facility: daemon)

-w, --workdir PATH
    Working directory (default: /var/lib/mympd)

-a, --cachedir PATH
    Cache directory (default: /var/cache/mympd)

-p, --pin
    Sets a pin for myMPD settings

AUTHOR
Juergen Mang (mail@jcgames.de)

BUGS
If you find a bug, please report it at https://github.com/jcorporation/myMPD/issues

SEE ALSO
https://github.com/jcorporation/myMPD